Skip to main content
GET
/
api
/
v2
/
channels
/
account-groups
Group List
curl --request GET \
  --url https://aitoearn.cn/api/v2/channels/account-groups \
  --header 'X-Api-Key: <api-key>'
{
  "code": 0,
  "message": "Request succeeded",
  "data": [
    {
      "id": "string",
      "name": "string",
      "hasBrowserConfig": true,
      "rank": 1,
      "ip": "string",
      "location": "string",
      "countryCode": "string",
      "proxyIp": "string",
      "isDefault": true,
      "createdAt": "2026-07-02T12:00:00.000Z",
      "updatedAt": "2026-07-02T12:00:00.000Z"
    }
  ]
}

Authorizations

X-Api-Key
string
header
required

Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".

Response

200 - application/json

The request has been processed by the service. Business success is determined by whether the response body has code === 0.

code
integer
required

Business status code. 0 means success; non-zero means a business error.

message
string
required

Response message.

data
object[]
requestId
string

Request ID.

timestamp
integer

Error response timestamp in Unix milliseconds.